Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanInfo

    java.lang.Object
      |
      +--javax.management.MBeanInfo

public class MBeanInfo
extends java.lang.Object
implements java.io.Serializable

The MBeanInfo object allows to discover the management interface exposed by an MBean; that is, the set of attributes and operations which are available for management operations.

See Also:
  Serialized Form

Constructor Summary
`MBeanInfo(java.lang.String className, java.lang.String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)` Constructs an `MBeanInfo`.

Method Summary
`MBeanAttributeInfo[]` | `getAttributes()` Rreturns the list of attributes exposed for management.
`java.lang.String` | `getClassName()` Returns the name of the Java class of the MBean described by this MBeanInfo.
`MBeanConstructorInfo[]` | `getConstructors()` Returns the list of the public constructors of the MBean.
`java.lang.String` | `getDescription()` Returns a human readable description of the MBean.
`MBeanNotificationInfo[]` | `getNotifications()` Rreturns the list of the notifications emitted by the MBean.
`MBeanOperationInfo[]` | `getOperations()` Returns the list of operations of the MBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanInfo

    public MBeanInfo(java.lang.String className,
                     java.lang.String description,
                     MBeanAttributeInfo[] attributes,
                     MBeanConstructorInfo[] constructors,
                     MBeanOperationInfo[] operations,
                     MBeanNotificationInfo[] notifications)

  Constructs an `MBeanInfo`.
  Parameters:
    `name` - The name of the Java class of the MBean described by this MBeanInfo.
    `description` - A human readable description of the MBean (optional).
    `attributes` - The list of exposed attributes of the MBean.
    `constructors` - The list of public constructors of the MBean.
    `operations` - The list of operations of the MBean.
    `notifications` - The list of notifications emitted by an MBean.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Returns the name of the Java class of the MBean described by this MBeanInfo.

### getDescription

    public java.lang.String getDescription()

  Returns a human readable description of the MBean. Optional.

### getAttributes

    public MBeanAttributeInfo[] getAttributes()

  Rreturns the list of attributes exposed for management. Each attribute is described by an MBeanAttributeInfo object.
  Returns:
    An array of MBeanAttributeInfo objects.

### getOperations

    public MBeanOperationInfo[] getOperations()

  Returns the list of operations of the MBean. Each operation is described by an MBeanOperationInfo object.
  Returns:
    An array of MBeanOperationInfo objects.

### getConstructors

    public MBeanConstructorInfo[] getConstructors()

  Returns the list of the public constructors of the MBean. Each constructor is described by an MBeanConstructorInfo object.
  Returns:
    An array of MBeanConstructorInfo objects.

### getNotifications

    public MBeanNotificationInfo[] getNotifications()

  Rreturns the list of the notifications emitted by the MBean. Each notification is described by an MBeanNotificationInfo object.
  Returns:
    An array of MBeanNotificationInfo objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD